$ErrorActionPreference = 'Stop';

$packageName= 'software-ideas-modeler'
$url        = 'https://www.softwareideas.net/Download/File/590/SoftwareIdeasModelerSetup32-11-40.exe'
$url64      = 'https://www.softwareideas.net/Download/File/589/SoftwareIdeasModelerSetup64-11-40.exe'

$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  fileType      = 'EXE'
  url           = $url
  url64bit      = $url64

  softwareName  = 'Software Ideas Modeler*'

  checksum      = 'c2c2d35c6e0a01978d9eb82eb2c2a25e9dcb43f5d37a42fead610e64d138df76'
  checksumType  = 'sha256'
  checksum64    = '8e848e9fa560e8a2de6609b65498efc47b54ee4c34e3b1fa8605e4de4249f0ff'
  checksumType64= 'sha256'

  silentArgs   = '/VERYSILENT /SUPPRESSMSGBOXES /NORESTART /SP-' # Inno Setup
  validExitCodes= @(0)
}

Install-ChocolateyPackage @packageArgs
